Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005110 [JEDI VCL] 00 JVCL Components crash have not tried 2010-01-14 20:27 2011-06-10 16:10
Reporter dcabale View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0005110: TJvCustomCsvDataSet.FindByCsvKey crashes when used
Description [TJvCustomCsvDataSet, TJvCsvDataSet]
using function TJvCustomCsvDataSet.FindByCsvKey as described here -> http://help.delphi-jedi.org/item.php?Id=174955, [^] raises exception "Internal error. Memory corruption suspected in CsvRow memory area" (from function GetWordFields)
Additional Information
Tags No tags attached.
Attached Files zip file icon TJvCustomCsvDataSet.FindByCsvKey.zip [^] (1,419 bytes) 2010-01-15 12:01

- Relationships

-  Notes
(0017124)
obones (administrator)
2010-01-15 08:56

Please provide the zipped sources of a sample application showing this, along with the source CSV database
(0017127)
dcabale (reporter)
2010-01-15 12:03

attached a simpliest project
(0017465)
AHUser (developer)
2010-06-07 16:38

Fixed in SVN revision 12794.

- Issue History
Date Modified Username Field Change
2010-01-14 20:27 dcabale New Issue
2010-01-15 08:56 obones Note Added: 0017124
2010-01-15 08:56 obones Status new => feedback
2010-01-15 12:01 dcabale File Added: TJvCustomCsvDataSet.FindByCsvKey.zip
2010-01-15 12:03 dcabale Note Added: 0017127
2010-06-07 13:52 obones Status feedback => acknowledged
2010-06-07 16:38 AHUser Note Added: 0017465
2010-06-07 16:38 AHUser Status acknowledged => resolved
2010-06-07 16:38 AHUser Fixed in Version => Daily / SVN
2010-06-07 16:38 AHUser Resolution open => fixed
2010-06-07 16:38 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker